
Name:       perl-Proc-Background
Version:    1.10
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Generic interface to Unix and Win32 background process management
Source:     http://search.cpan.org/CPAN/authors/id/B/BZ/BZAJAC/Proc-Background-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Proc-Background
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch


%description
This is a generic interface for placing processes in the background on both
Unix and Win32 platforms. This module lets you start, kill, wait on,
retrieve exit values, and see if background processes still exist.

Rebuilt for the Anvil! HA platform.





%prep
%setup -q -n Proc-Background-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/timed-process
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*
%{_mandir}/man1/*.1*

%changelog
* Mon Dec 22 2014 %{packager} 1.10-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
